# Generated by Django 2.0.2 on 2018-02-27 00:50

from django.db import migrations, models
import django.db.models.deletion


def _get_rwqp_model(apps):
    return apps.get_model('django_marketing_redirects', 'RedirectWithQueryParams')


def create_redirect_siblings(apps, schema_editor):
    Redirect = apps.get_model('redirects', 'Redirect')
    RedirectWithQueryParams = _get_rwqp_model(apps)
    for r in Redirect.objects.all():
        RedirectWithQueryParams.objects.create(redirect=r)


def delete_redirect_siblings(apps, schema_editor):
    RedirectWithQueryParams = _get_rwqp_model(apps)
    for rwqp in RedirectWithQueryParams.objects.all():
        rwqp.delete()


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('redirects', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='RedirectWithQueryParams',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('query_param_behavior', models.CharField(choices=[('REMOVE', 'Remove all requested query params from query'), ('REDIRECT_WINS', 'Overwrite query params with values in redirect'), ('QUERY_WINS', 'Overwrite redirect params with values in query')], default='REMOVE', max_length=15, verbose_name='Redirect with Query Parameters')),
                ('redirect', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='redirects.Redirect')),
            ],
        ),
        migrations.RunPython(create_redirect_siblings, delete_redirect_siblings)
    ]
